---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List POS journals

Lists all active POS journals.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Point Of Sale",
      "description": "Point Of Sale (POS) endpoints."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/posJournals": {
      "get": {
        "tags": [
          "Point Of Sale"
        ],
        "operationId": "journal.list",
        "summary": "List POS journals",
        "description": "Lists all active POS journals.",
        "parameters": [
          {
            "name": "filter",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "oneOf": [
                {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "id": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "pattern": "\\d+",
                        "example": "17",
                        "description": "Resource identifier."
                      }
                    }
                  }
                },
                {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "additionalProperties": false,
                    "properties": {
                      "key": {
                        "type": "string",
                        "enum": [
                          "id",
                          "date",
                          "customerId",
                          "projectId",
                          "salesOrderId",
                          "externalOrderNumber"
                        ]
                      },
                      "op": {
                        "type": "string",
                        "enum": [
                          "equals",
                          "notEquals",
                          "in",
                          "notIn",
                          "allIn",
                          "allNotIn",
                          "contains",
                          "notContains",
                          "startsWith",
                          "endsWith",
                          "greaterThan",
                          "lessThan"
                        ]
                      },
                      "value": {
                        "oneOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              ]
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "date",
                      "customerId",
                      "projectId"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "date": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date-time",
                            "nullable": true,
                            "example": "2020-09-23T14:20:08+02:00"
                          },
                          "projectId": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "type": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "RE_Beleg"
                          },
                          "posFunction": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "TODO"
                          },
                          "doctype": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "rechnung"
                          },
                          "paymentType": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "eckarte"
                          },
                          "doctypeId": {
                            "x-description-missing": true,
                            "type": "number",
                            "example": 10
                          },
                          "documentNumber": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "400009"
                          },
                          "journalText": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "RE 400009 (POS)"
                          },
                          "revenueAccount": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "4400"
                          },
                          "currency": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "EUR"
                          },
                          "tax": {
                            "x-description-missing": true,
                            "type": "number",
                            "format": "float",
                            "example": 16
                          },
                          "amountGross": {
                            "x-description-missing": true,
                            "type": "number",
                            "format": "float",
                            "example": 99
                          },
                          "amountNet": {
                            "x-description-missing": true,
                            "type": "number",
                            "format": "float",
                            "example": 85.34
                          },
                          "cashRegisterId": {
                            "x-description-missing": true,
                            "type": "number",
                            "example": 5
                          },
                          "customerId": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "createdAt": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date-time",
                            "example": "2020-09-23T20:22:08+02:00"
                          },
                          "createdBy": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "John Doe"
                          },
                          "businessTransactionType": {
                            "x-description-missing": true,
                            "type": "string",
                            "nullable": true,
                            "example": "TODO"
                          },
                          "qrString": {
                            "x-description-missing": true,
                            "type": "string",
                            "nullable": true,
                            "example": null
                          },
                          "fiscalDocumentReference": {
                            "description": "This field represents an object with dynamic structure",
                            "type": "object",
                            "additionalProperties": true,
                            "nullable": true,
                            "example": {}
                          },
                          "salesOrder": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "nullable": true,
                            "required": [
                              "id",
                              "number"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "number": {
                                "type": "string",
                                "example": "200002"
                              },
                              "externalOrderNumber": {
                                "type": "string",
                                "example": "152"
                              }
                            },
                            "example": {
                              "id": "5",
                              "number": "200002",
                              "externalOrderNumber": "152"
                            }
                          }
                        },
                        "example": {
                          "id": "1",
                          "date": "2020-09-23T14:20:08+02:00",
                          "projectId": "6",
                          "type": "RE_Beleg",
                          "posFunction": "",
                          "doctype": "rechnung",
                          "paymentType": "eckarte",
                          "doctypeId": 1,
                          "documentNumber": "400000",
                          "journalText": "RE 400000 (POS)",
                          "revenueAccount": "4400",
                          "currency": "EUR",
                          "tax": 16,
                          "amountGross": 98.99,
                          "amountNet": 85.34,
                          "cashRegisterId": 5,
                          "customerId": "36",
                          "createdAt": "2020-09-23T14:20:08+02:00",
                          "createdBy": "John Doe",
                          "businessTransactionType": "",
                          "salesOrder": {
                            "id": "4",
                            "number": "200001",
                            "externalOrderNumber": ""
                          },
                          "qrString": null
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```